<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>corr2</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_f17847494401c51daa9e1bfe09408f94.html">&lt;&lt; Image Analysis and Statistics</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_f17847494401c51daa9e1bfe09408f94.html">Image Analysis and Statistics</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="edge.html">edge &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_f17847494401c51daa9e1bfe09408f94.html">Image Analysis and Statistics</a> &gt; corr2</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">corr2</h1>
    <p class="refpurpose">2D correlation coefficient</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">c</span><span class="default"> = </span><span class="functionid">corr2</span><span class="default">(</span><span class="default">imA</span><span class="default">, </span><span class="default">imB</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">imA, imB :</span>
      <dd><p class="para">imA and imB are 2D matrices of the same size.</p></dd></dt>
   <dt><span class="term">c :</span>
      <dd><p class="para">Correlation coefficient, a scalar of class double.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">corr2 computes correlation coefficient of two 2D matrices imA and imB.
c = sum( (imA-mA).*(imB-mB) / sqrt(sum((imA-mA).^2) * sum((imB-mB).^2))
mA=mean2(imA) and mB=mean2(imB)</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="mean2.html" class="link">mean2</a></li>
   <li class="member"><a href="std2.html" class="link">std2</a></li>
   <li class="member"><a href="stdev2.html" class="link">stdev2</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh. Modified from the original work of Shiqi Yu</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="section_f17847494401c51daa9e1bfe09408f94.html">&lt;&lt; Image Analysis and Statistics</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_f17847494401c51daa9e1bfe09408f94.html">Image Analysis and Statistics</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="edge.html">edge &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
